Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.b2b
Class B2BTourGuide

    java.lang.Object
      |
      +--examples.e2e.b2b.B2BTourGuide

public class B2BTourGuide
extends java.lang.Object
implements TourGuide, JspConstants

This class decides what content to display in the Tour Guide portlet based on the state of the b2bPortal. It also mantains information about each instance of the Tour Guide. There is one Tour Guide portlet instance per portal page.

See Also:
  Serialized Form

Field Summary
`protected java.util.Map` | `instanceData` Stores instance data for each Tour Guide portlet in the app

Constructor Summary
`B2BTourGuide()` Construct a new tour guide object.

Method Summary
`TourGuideData` | `determineState(javax.servlet.http.HttpServletRequest request)` Determines the appropriate `TourGuideData` object for the supplied servlet request object.
`TourGuideData` | `getInstanceData(B2BPortalPage page)` Return the `TourGuideData` object currently associated with the page supplied.
`TourGuideData` | `getInstanceData(java.lang.String pageName)` Return the `TourGuideData` object currently associated with the page supplied.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instanceData

    protected java.util.Map instanceData

  Stores instance data for each Tour Guide portlet in the app

Constructor Detail

### B2BTourGuide

    public B2BTourGuide()

  Construct a new tour guide object.

Method Detail

### determineState

    public TourGuideData determineState(javax.servlet.http.HttpServletRequest request)
                                 throws javax.servlet.jsp.JspException

  Determines the appropriate `TourGuideData` object for the supplied servlet request object.
  Specified by:
    determineState in interface TourGuide

### getInstanceData

    public TourGuideData getInstanceData(java.lang.String pageName)

  Return the `TourGuideData` object currently associated with the page supplied. To insure that the object returned reflects the current request call the `determineState(javax.servlet.http.HttpServletRequest)` method first.
  Specified by:
    getInstanceData in interface TourGuide

  Parameters:
    `pageName` - the name of the portal page.
  Returns:
    the `TourGuideData` object associated with the portal page supplied. Null may be returned if the `pageName` supplied is null or the `pageName` is not associated with an object.

### getInstanceData

    public TourGuideData getInstanceData(B2BPortalPage page)

  Return the `TourGuideData` object currently associated with the page supplied. To insure that the object returned reflects the current request call the `determineState(javax.servlet.http.HttpServletRequest)` method first.

  Parameters:
    `page` - a `B2BPortalPage` object associated with a portal page.
  Returns:
    the `TourGuideData` object associated with the portal page supplied. Null may be returned if the `pageName` supplied is null or the `pageName` is not associated with an object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved